Bug 1475363 - tcpdump: Segmentation Violation in the compressed_sl_print
tcpdump: Segmentation Violation in the compressed_sl_print
Status: CLOSED DUPLICATE of bug 1475358
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170718,reported=2...
: Security
Depends On: 1475364
Blocks: 1490633
  Show dependency treegraph
 
Reported: 2017-07-26 09:50 EDT by Adam Mariš
Modified: 2017-12-11 10:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was discovered in tcpdump's handling of LINKTYPE_SLIP pcap files. An attacker could craft a malicious pcap file that would cause tcpdump to crash when attempting to print a summary of packet data within the file.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 02:09:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-07-26 09:50:11 EDT
tcpdump 4.9.0 has a Segmentation Violation in the compressed_sl_print function in print-sl.c:253:34.

Reproducer:

https://github.com/hackerlib/hackerlib-vul/tree/master/tcpdump-vul/segv/print-sl
Comment 1 Adam Mariš 2017-07-26 09:51:48 EDT
Created tcpdump tracking bugs for this issue:

Affects: fedora-all [bug 1475364]
Comment 4 Doran Moppert 2017-08-02 02:04:25 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.
Comment 6 Adam Mariš 2017-12-11 10:19:07 EST
CVE-2017-11545 was rejected as it was duplicate of CVE-2017-11543.
Comment 7 Adam Mariš 2017-12-11 10:19:49 EST

*** This bug has been marked as a duplicate of bug 1475358 ***

Note You need to log in before you can comment on or make changes to this bug.